Bug 664303 - Review Request: drupal6-auto_nodetitle - "auto_nodetitle" is a small and efficient module that allows hiding of the content title
Review Request: drupal6-auto_nodetitle - "auto_nodetitle" is a small and effi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2010-12-19 13:42 EST by Peter Borsa
Modified: 2011-03-28 13:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal6-auto_nodetitle-1.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-26 10:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stickster: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2010-12-19 13:42:25 EST
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal6-auto_nodetitle.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal6-auto_nodetitle-1.2-1.fc14.src.rpm
Description: "auto_nodetitle" is a small and efficient module that allows hiding of the content title field in the form. To prevent empty content title fields one can configure it to generate the title by a given pattern.

When the token module is installed it's possible to use various node data for the
auto generated title - e.g. use the text of a CCK field (since 5.x).

Advanced users can also provide some PHP code, that is used for automatically generating an appropriate title.

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-auto_nodetitle.spec ../SRPMS/drupal6-auto_nodetitle-1.2-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2676274
Watching tasks (this may be safely interrupted)...
2676274 build (dist-f14, drupal6-auto_nodetitle-1.2-1.fc14.src.rpm): open (ppc12.phx2.fedoraproject.org)
  2676275 buildArch (drupal6-auto_nodetitle-1.2-1.fc14.src.rpm, noarch): free
  2676275 buildArch (drupal6-auto_nodetitle-1.2-1.fc14.src.rpm, noarch): free -> open (x86-11.phx2.fedoraproject.org)
  2676275 buildArch (drupal6-auto_nodetitle-1.2-1.fc14.src.rpm, noarch): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2676274 build (dist-f14, drupal6-auto_nodetitle-1.2-1.fc14.src.rpm): open (ppc12.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2676274 build (dist-f14, drupal6-auto_nodetitle-1.2-1.fc14.src.rpm) completed successfully
Comment 1 Paul W. Frields 2010-12-23 11:49:56 EST
Please post complete rpmlint output including the binary (built) RPM package.
Comment 2 Peter Borsa 2010-12-23 16:57:20 EST
Is it necessary? Isn't enough the src.rpm file?
Comment 3 Paul W. Frields 2010-12-23 18:22:23 EST
No, you must include the binary RPM package as well. Different tests apply to this package from the other files.
Comment 4 Paul W. Frields 2011-01-06 10:31:59 EST
$ rpmlint rpmbuild/SPECS/drupal6-auto_nodetitle.spec rpmbuild/SRPMS/drupal6-auto_nodetitle-1.2-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-auto_nodetitle-1.2-1.fc14.noarch.rpm 
drupal6-auto_nodetitle.noarch: E: script-without-shebang /usr/share/drupal6/modules/auto_nodetitle/auto_nodetitle.install
drupal6-auto_nodetitle.noarch: W: spurious-executable-perm /usr/share/doc/drupal6-auto_nodetitle-1.2/README.txt
2 packages and 1 specfiles checked; 1 errors, 1 warnings.

These two problems can be fixed by setting these files' permissions correctly to 644 instead of 755.
Comment 5 Peter Borsa 2011-01-08 06:08:21 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-auto_nodetitle.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-auto_nodetitle-1.2-2.fc14.src.rpm

rpmlint output:

rpmlint SPECS/drupal6-auto_nodetitle.spec SRPMS/drupal6-auto_nodetitle-1.2-2.fc14.src.rpm RPMS/noarch/drupal6-auto_nodetitle-1.2-2.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2709005
Watching tasks (this may be safely interrupted)...
2709005 build (dist-f14, drupal6-auto_nodetitle-1.2-2.fc14.src.rpm): open (x86-17.phx2.fedoraproject.org)
  2709006 buildArch (drupal6-auto_nodetitle-1.2-2.fc14.src.rpm, noarch): free
  2709006 buildArch (drupal6-auto_nodetitle-1.2-2.fc14.src.rpm, noarch): free -> open (x86-01.phx2.fedoraproject.org)
  2709006 buildArch (drupal6-auto_nodetitle-1.2-2.fc14.src.rpm, noarch): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2709005 build (dist-f14, drupal6-auto_nodetitle-1.2-2.fc14.src.rpm): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2709005 build (dist-f14, drupal6-auto_nodetitle-1.2-2.fc14.src.rpm) completed successfully
Comment 6 Paul W. Frields 2011-01-13 16:32:51 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-auto_nodetitle-1.2/auto_nodetitle-6.x-1.2.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/auto_nodetitle-6.x-1.2.tar.gz | md5sum -
2d64b4c8e5a23faec1a553919731d6a8  rpmbuild/SOURCES/drupal6-auto_nodetitle-1.2/auto_nodetitle-6.x-1.2.tar.gz
2d64b4c8e5a23faec1a553919731d6a8  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ N/A ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

Installed and tested, works fine.  APPROVED.  Peter -- you can request git branches, build, and push.  The flag for review wasn't set, so I'm going to twiddle it in a moment.
Comment 7 Peter Borsa 2011-01-13 16:46:22 EST
New Package SCM Request
=======================
Package Name: drupal6-auto_nodetitle
Short Description: "auto_nodetitle" is a small and efficient module that allows hiding of the content title
Owners: asrob
Branches: f14 el5 el6
InitialCC:
Comment 8 Volker Fröhlich 2011-01-18 08:57:01 EST
Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.
Comment 9 Paul W. Frields 2011-01-18 10:41:01 EST
Volker, thanks for catching that.

Peter, you don't need to rebuild just for a change in the License field, but you
should bump the Release and commit a change to the spec file (and note in
%changelog) for that purpose before you do any further builds.  Thanks!
Comment 10 Jason Tibbitts 2011-01-25 18:41:19 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-01-26 10:47:22 EST
drupal6-auto_nodetitle-1.2-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-auto_nodetitle-1.2-4.fc14
Comment 12 Fedora Update System 2011-01-26 10:58:07 EST
drupal6-auto_nodetitle-1.2-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-auto_nodetitle-1.2-4.el5
Comment 13 Fedora Update System 2011-01-26 11:12:10 EST
drupal6-auto_nodetitle-1.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-auto_nodetitle-1.2-4.el6
Comment 14 Fedora Update System 2011-02-21 10:31:06 EST
drupal6-auto_nodetitle-1.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-auto_nodetitle-1.2-5.el6
Comment 15 Fedora Update System 2011-02-21 10:46:16 EST
drupal6-auto_nodetitle-1.2-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-auto_nodetitle-1.2-5.el5
Comment 16 Fedora Update System 2011-03-28 13:29:22 EDT
drupal6-auto_nodetitle-1.2-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-03-28 13:31:07 EDT
drupal6-auto_nodetitle-1.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.